Subject: Re: bug#19852: 25.0.50; show-paren-mode in sh-mode freezes Emacs

From: Marcin Borkowski <[email-masked]>
Date: Sat, 19 Mar 2016 14:28:44 +0100

On 2015-02-13, at 12:26, Jorgen Schaefer <[email-masked]> wrote:

> Emacs 25.0.50, no GUI, git ref cf498e5b9a, run with -Q, will freeze hard
> and dump core when using show-paren-mode in certain situations with
> files not ending with a newline.
>
> Reproduction:
>
> Create a file with these contents:
>
> ----
> #!/bin/bash
>
> if true
> then
> ----
>
> Do *not* include a final newline after the "then" line, possibly using
> (setq require-final-newline nil).
>
> Move point to the beginning of the file, enable `show-paren-mode', and
> go down line by line. Once you hit next-line on the "i" of "if", Emacs
> freezes. C-g will make it ask to auto-save and dump core.

Hi, I just checked on GNU Emacs 25.1.50.7 (commit fa2524b), and it seems
to work fine.  Can you confirm that the bug went away so that I could
close it?

Best,

-- 
Marcin